petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMAdaptorSetSolver

Sets the solver used to produce discrete solutions

### Synopsis

    #include "petscdmadaptor.h"
    PetscErrorCode DMAdaptorSetSolver(DMAdaptor adaptor, SNES snes)

Not collective

### Input Parameters

| adaptor | - The DMAdaptor object
| snes | - The solver

Note: The solver MUST have an attached DM/DS, so that we know the exact solution

### See Also

DMAdaptorGetSolver(), DMAdaptorCreate(), DMAdaptorAdapt()

### Level

intermediate

### Location

src/snes/utils/dmadapt.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages